Public Attributes | List of all members
ble_gatts_evt_t Struct Reference
BLE » Generic Attribute Profile (GATT) » Generic Attribute Profile (GATT) Server » Structures

BLE GATTS event structure. More...

`#include <ble_gatts.h>`

Collaboration diagram for ble_gatts_evt_t:
[legend]

## Public Attributes
uint8_t | index
| Index of connection. More...
union {
ble_gatts_evt_read_t read_req
| Read request event. More...
ble_gatts_evt_write_t write_req
| Write request event. More...
ble_gatts_evt_prep_write_t prep_wr_req
| Prepare write request event. More...
ble_gatts_evt_ntf_ind_t ntf_ind_sended
| Notification or indication sened event. More...
ble_gatts_evt_cccd_rec_t cccd_recovery
| Gatt cccd recovery event . More...
ble_gatts_evt_inited_ind_t inited_ind
| Gatt database inited indication send event. More...
} | params
| Event Parameters. More...

## Detailed Description

BLE GATTS event structure.

Definition at line 404 of file ble_gatts.h.

## Member Data Documentation

## ◆ cccd_recovery

ble_gatts_evt_cccd_rec_t ble_gatts_evt_t::cccd_recovery

Gatt cccd recovery event .

Definition at line 413 of file ble_gatts.h.

## ◆ index

uint8_t ble_gatts_evt_t::index

Index of connection.

Definition at line 406 of file ble_gatts.h.

## ◆ inited_ind

ble_gatts_evt_inited_ind_t ble_gatts_evt_t::inited_ind

Gatt database inited indication send event.

Definition at line 414 of file ble_gatts.h.

## ◆ ntf_ind_sended

ble_gatts_evt_ntf_ind_t ble_gatts_evt_t::ntf_ind_sended

Notification or indication sened event.

Definition at line 412 of file ble_gatts.h.

## ◆ params

union { ... } ble_gatts_evt_t::params

Event Parameters.

## ◆ prep_wr_req

ble_gatts_evt_prep_write_t ble_gatts_evt_t::prep_wr_req

Prepare write request event.

Definition at line 411 of file ble_gatts.h.

## ◆ read_req

ble_gatts_evt_read_t ble_gatts_evt_t::read_req

Read request event.

Definition at line 409 of file ble_gatts.h.

## ◆ write_req

ble_gatts_evt_write_t ble_gatts_evt_t::write_req

Write request event.

Definition at line 410 of file ble_gatts.h.

The documentation for this struct was generated from the following file:

- ble_gatts.h